var __extends = this.__extends || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
/// <reference path="../FDNode.ts" />
var FD;
(function (FD) {
    var ConeTreeNode = (function (_super) {
        __extends(ConeTreeNode, _super);
        function ConeTreeNode() {
            _super.call(this);
            this.radius = 0;
            this.circumference = 0;
            this.angle = 0;
            this.center = new THREE.Vector3();
        }
        return ConeTreeNode;
    })(FD.FDNode);
    FD.ConeTreeNode = ConeTreeNode;
})(FD || (FD = {}));
